org.apache.ignite.ml.composition.combinators.parallel

## Class ModelsParallelComposition<I,O>

- java.lang.Object
- - org.apache.ignite.ml.composition.combinators.parallel.ModelsParallelComposition<I,O>

- Type Parameters:
    `I` - Type of submodel input.
    `O` - Type of submodel output.
  All Implemented Interfaces:
    Serializable, AutoCloseable, IgniteModel<I,List<O>>, Model<I,List<O>>

      public final class ModelsParallelComposition<I,O>
      extends Object
      implements IgniteModel<I,List<O>>

  Parallel composition of models. Parallel composition of models is a model which contains a list of submodels with same input and output types. Result of prediction in such model is a list of predictions of each of submodels.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelsParallelComposition(List<IgniteModel<I,O>> submodels)` Construc an instance of this class from list of submodels.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `List<O>` | `predict(I i)` Make a prediction for the specified input arguments.
    `List<IgniteModel<I,O>>` | `submodels()` List of submodels constituting this model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.IgniteModel

      `andBefore, andThen, andThen, combine, toString`

- - ### Constructor Detail

    - #### ModelsParallelComposition

          public ModelsParallelComposition(List<IgniteModel<I,O>> submodels)

      Construc an instance of this class from list of submodels.
      Parameters:
        `submodels` - List of submodels constituting this model.

  - ### Method Detail

    - #### predict

          public List<O> predict(I i)

      Make a prediction for the specified input arguments.
      Specified by:
        `predict` in interface `Model<I,List<O>>`
      Parameters:
        `i` - Input arguments.
      Returns:
        Prediction result.

    - #### submodels

          public List<IgniteModel<I,O>> submodels()

      List of submodels constituting this model.
      Returns:
        List of submodels constituting this model.

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `IgniteModel<I,List<O>>`
      Specified by:
        `close` in interface `Model<I,List<O>>`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023